Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config
Class ProducerConfigurationFactory

    java.lang.Object
      org.jboss.portal.wsrp.producer.config.ProducerConfigurationFactory

All Implemented Interfaces:
  org.jboss.xb.binding.ObjectModelFactory

    public class ProducerConfigurationFactory

extends java.lang.Object
implements org.jboss.xb.binding.ObjectModelFactory

Since:
  2.6
Version:
  $Revision: 9471 $
Author:
  Chris Laprun

Constructor Summary
`ProducerConfigurationFactory()`

Method Summary
`void` | `addChild(ProducerConfigurationImpl conf, ProducerRegistrationRequirementsImpl regReq, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`void` | `addChild(ProducerRegistrationRequirementsImpl regReq, RegistrationPropertyDescription desc, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`void` | `addChild(RegistrationPropertyDescription desc, LocalizedString string, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `completeRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `newChild(ProducerConfigurationImpl producerConfiguration, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newChild(ProducerRegistrationRequirementsImpl regReq, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newChild(RegistrationPropertyDescription desc, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`void` | `setValue(LocalizedString string, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`
`void` | `setValue(ProducerRegistrationRequirementsImpl regReq, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`
`void` | `setValue(RegistrationPropertyDescription desc, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerConfigurationFactory

    public ProducerConfigurationFactory()

Method Detail

### newRoot

    public java.lang.Object newRoot(java.lang.Object root,
                                    org.jboss.xb.binding.UnmarshallingContext nav,
                                    java.lang.String nsURI,
                                    java.lang.String localName,
                                    org.xml.sax.Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### newChild

    public java.lang.Object newChild(ProducerConfigurationImpl producerConfiguration,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### completeRoot

    public java.lang.Object completeRoot(java.lang.Object root,
                                         org.jboss.xb.binding.UnmarshallingContext nav,
                                         java.lang.String nsURI,
                                         java.lang.String localName)

  Specified by:
    `completeRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### newChild

    public java.lang.Object newChild(ProducerRegistrationRequirementsImpl regReq,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### setValue

    public void setValue(ProducerRegistrationRequirementsImpl regReq,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### setValue

    public void setValue(RegistrationPropertyDescription desc,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### newChild

    public java.lang.Object newChild(RegistrationPropertyDescription desc,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### setValue

    public void setValue(LocalizedString string,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### addChild

    public void addChild(ProducerConfigurationImpl conf,
                         ProducerRegistrationRequirementsImpl regReq,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

### addChild

    public void addChild(ProducerRegistrationRequirementsImpl regReq,
                         RegistrationPropertyDescription desc,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

### addChild

    public void addChild(RegistrationPropertyDescription desc,
                         LocalizedString string,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD